#!/usr/bin/perl -w
use strict;

my $ext_interface = "eth0"
my $ext_ip = "42.42.42.42"

my $int_interface = "eth1"
my $int_ip = "192.168.1.1"

my $wireless_interface = "eth2"
my $wireless_ip = "192.168.1.129"

my $proc_dir = "/proc/sys/net/ipv4";

my $iptables = "/sbin/iptables"
my $modprobe = "/sbin/modprobe"

if ($ARGV[0] eq "start") {
    start();
} elsif ($ARGV[0] eq "stop") {
    stop();
} elsif ($ARGV[0] eq "restart") {
    stop();
    start();
} else {
    print "Usage: start|stop|restart\n";
}

sub start
{
}

sub stop
{
    print "Disabling packet forwarding...";
    if ( -e "$proc_dir/ip_forward") {
        `echo 0 > $proc_dir/ip_forward`;
        print "done.\n";
    } else {
        print " I just can't do it!\n";
    }

    print "Clearing out Iptables rules...";

    `$iptables -F`;
    `$iptables -t nat -F`;
    `$iptables -X`;
    `$iptables -t nat -X`;
    `$iptables -P INPUT ACCEPT`;
    `$iptables -P FORWARD ACCEPT`;
    `$iptables -P OUTPUT ACCEPT`;

    print "done.\n";
}

# vim: sw=4 expandtab
